Fetch a Webhook
curl --request GET \
--url https://api.treasuryprime.com/webhook/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/webhook/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/webhook/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2018-12-03T19:46:45Z",
"error": null,
"event": "ach.update",
"id": "wh_012345678923",
"status": "enabled",
"updated_at": "2018-12-03T19:46:45Z",
"url": "https://example.application.com/notify",
"userdata": null
}Webhook
Fetch a Webhook
GET
/
webhook
/
{id}
Fetch a Webhook
Authorizations
basicAuthapiKey
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Unique identifier for object
Response
200 - application/json
The webhook
The password value sent as part of basic Authorization for request validation. Always shown as null in all responses.
The user value sent as part of basic Authorization for request validation. Use is optional.
The error reason, if the webhook has transitioned status to error
The event to listen for. Available events
Unique identifier for object
One of enabled, disabled, or error. Filterable.
The HTTPS URL where the event notification will be sent
Optional arbitrary user data
Was this page helpful?